CMSIS-Driver: Driver_SPI.c File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Driver_SPI.c File Reference

## Functions

ARM_DRIVER_VERSION | ARM_SPI_GetVersion (void)
| Get driver version. More...
ARM_SPI_CAPABILITIES | ARM_SPI_GetCapabilities (void)
| Get driver capabilities. More...
int32_t | ARM_SPI_Initialize (ARM_SPI_SignalEvent_t cb_event)
| Initialize SPI Interface. More...
int32_t | ARM_SPI_Uninitialize (void)
| De-initialize SPI Interface. More...
int32_t | ARM_SPI_PowerControl (ARM_POWER_STATE state)
| Control SPI Interface Power. More...
int32_t | ARM_SPI_Send (const void *data, uint32_t num)
| Start sending data to SPI transmitter. More...
int32_t | ARM_SPI_Receive (void *data, uint32_t num)
| Start receiving data from SPI receiver. More...
int32_t | ARM_SPI_Transfer (const void *data_out, void *data_in, uint32_t num)
| Start sending/receiving data to/from SPI transmitter/receiver. More...
uint32_t | ARM_SPI_GetDataCount (void)
| Get transferred data count. More...
int32_t | ARM_SPI_Control (uint32_t control, uint32_t arg)
| Control SPI Interface. More...
ARM_SPI_STATUS | ARM_SPI_GetStatus (void)
| Get SPI status. More...
void | ARM_SPI_SignalEvent (uint32_t event)
| Signal SPI Events. More...